﻿@model StarterProjectV2.ViewModels.OwnerAvgRoomRateView
@{
    ViewBag.Title = "Owner AvgRoomRate Create";
}

@section PAGETITLE{
    Owner AvgRoomRate Create"
}
<body style="background-color: oldlace">
    <div class="row justify-content-center mt-4">
        <div class="card col-12">
            <div class="card-body">
                <h1 class="text-center mb-5" style="color:cadetblue">Owner Avg Room Rate Create Form</h1>
                <p class="text-muted"></p>
                <div>
                    @using (Html.BeginForm("OwnerAvgRoomRateAddorEdit", "Configuration", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                    {

                        <div class="form-group row mb-3" style="display: flex; justify-content: center">
                            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Average Room Rate</label>
                            <div class="col-sm-3 col-lg-3 col-md-3">
                                @Html.TextBoxFor(m => m.AverageRoomRate, new { @class = "form-control", name = "AverageRoomRate", type = "number", id = "Title", @required = "req" })
                            </div>
                        </div>
                        <div class="form-group row mb-3" style="display: flex; justify-content: center">
                            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Applicable Date</label>
                            <div class="col-sm-3 col-lg-3 col-md-3">
                                @Html.TextBoxFor(m => m.ApplicableDate, "{0:yyyy-MM-dd}", new { @class = "form-control", type = "date", @required = "required" })
                            </div>
                        </div>

                        <hr />

                        @Html.HiddenFor(m => m.ConfOwnerAvgRoomRateID, new { @id = "ConfOwnerAvgRoomRateID" })
                        <div class="row" style="justify-content: center">
                            <div>
                                <button type="submit" class="btn btn-primary m-1" id="Next" onclick="full_submit()">Submit</button>
                            </div>
                            <div>
                                <button type="button" class="btn btn-danger m-1">Cancel</button>
                            </div>
                            <div>
                                <button type="button" class="btn btn-primary m-1" onclick="javascript:window.history.back();">
                                    <i class="fa fa-angle-left"></i> Back
                                </button>
                            </div>
                        </div>
                    }
                </div>
            </div>
            <div class="card-footer">
            </div>
        </div>
    </div>

</body>

<script type="text/javascript">
            $("#Next").click(function () {

                    window.location = "@Url.Action("RemainingReferralBookingManagement", "OwnersInfo")" ;

                window.location.href = "../OwnersInfo/RemainingReferralBookingManagement";
                });
</script>
<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });
    $(document).ready(function () {
        $("#newItem").remove();

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function () {
            window.print();
        });

        $('#reloadItem').click(function () {
            location.reload();
        });
        $('#reportItem').remove();
        $('#dashboardItem').remove();

    });
</script>
